OpenTTD Source: SlAllowListData Class Reference

OpenTTD Source 15.3

Data Structures | Public Member Functions | Static Public Attributes
SlAllowListData Class Reference
Inheritance diagram for SlAllowListData:

## Data Structures
struct | KeyWrapper

## Public Member Functions
std::vector< std::string > & | GetVector (CompanyProperties *cprops) const override
| Get instance of vector to load/save.
void | LoadCheck (CompanyProperties *cprops) const override
Public Member Functions inherited from VectorSaveLoadHandler< SlAllowListData, CompanyProperties, std::string >
virtual size_t | GetLength () const
| Get number of elements to load into vector.
void | Save (CompanyProperties *object) const override
void | Load (CompanyProperties *object) const override
Public Member Functions inherited from DefaultSaveLoadHandler< TImpl, TObject >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (TObject *object) const
void | Save (void *object) const override
| Save the object to disk.
virtual void | Load (TObject *object) const
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (TObject *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (TObject *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = {}

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 474 of file company_sl.cpp.

## Member Function Documentation

## ◆ GetVector()

std::vector< std::string > & SlAllowListData::GetVector | ( | CompanyProperties * | object | ) | const
| inlineoverridevirtual

Get instance of vector to load/save.

Parameters

  object | Object containing vector.

Returns
  Vector to load/save.

Implements VectorSaveLoadHandler< SlAllowListData, CompanyProperties, std::string >.

Definition at line 485 of file company_sl.cpp.

References CompanyProperties::allow_list.

## ◆ LoadCheck()

void SlAllowListData::LoadCheck | ( | CompanyProperties * | cprops | ) | const
| inlineoverride

Definition at line 487 of file company_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlAllowListData::compat_description = {}
| inlinestatic

Definition at line 483 of file company_sl.cpp.

## ◆ description

const SaveLoad SlAllowListData::description[]
| inlinestatic

Initial value:
= {
SLE_SSTR(KeyWrapper, key, SLE_STR),
}
SLE_SSTR
#define SLE_SSTR(base, variable, type)
Storage of a std::string in every savegame version.
Definition saveload.h:1061

Definition at line 480 of file company_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/company_sl.cpp